## developers-reference 13.11

=== Makefile ===
# Build rules for Developers Reference.
#
# This build script works on the bare un-tared upstream tarball, the
# checked-out git repository, and the patch-applied Debian source package
# source tree.

# Basic package information
ifneq ("$(wildcard debian/changelog)","")
# Patch-applied Debian source package source tree
PACKAGE   ?= $(shell dpkg-parsechangelog -SSource)
TIMESTAMP ?= $(shell dpkg-parsechangelog -STimestamp)
DATE      ?= $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
VERSION   ?= $(shell dpkg-parsechangelog -SVersion)
else ifneq ("$(wildcard .git)","")
# Checked-out git repository
PACKAGE   ?= $(basename $(notdir $(shell git config --get remote.origin.url)))
TIMESTAMP ?= $(shell git show -s --format=%ct HEAD)
DATE      ?= $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
VERSION   ?= $(shell git describe --tags)
# Adjust version as needed: debian/% --> %
VERSION   := $(patsubst debian/%, %, $(VERSION))
else
# Un-tared upstream tarball
PACKAGE   ?= $(notdir $(CURDIR))
TIMESTAMP ?= $(shell date +%s)
DATE      ?= $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
VERSION   ?= 0.0~$(subst -,.,$(DATE))
endif

export PACKAGE TIMESTAMP DATE VERSION

# Source file directory
SOURCE_DIR  = source

# Building files under language specific subdirectories of $(BUILD_DIR)
BUILD_DIR   = build

# Match this with conf.py: locale_dir = ["locales"]
LOCALE_DIR = locales

# All languages
LANGS       ?= en $(notdir $(wildcard $(SOURCE_DIR)/$(LOCALE_DIR)/*))
# All languages without PDF building
LANGS_NOPDF = it ru

# All output formats
FORMATS     ?= text pdf nopdf epub info html singlehtml

# Conversion programs to use.  Export these so that they're visible to
# submakes.
export SPHINX     = sphinx-build
export SPHINXINTL = sphinx-intl

# Installation directories.  Normally this is only used by debian/rules
# build, which will set DESTDIR to put the installation under the temporary
# Debian packaging directory.
prefix      = /usr
datarootdir = $(prefix)/share
datadir     = $(datarootdir)/$(PACKAGE)
infodir     = $(datarootdir)/info

# Order of source file basenames in $(SOURCE_DIR)/index.rst
BASE_ORDER    := $(shell grep -e '^   [^:]' $(SOURCE_DIR)/index.rst)

# Source file basenames found as *.rst
BASE_FILTER   := $(basename $(notdir $(wildcard $(SOURCE_DIR)/*.rst)))

# Ordered source *.rst file basenames to build $(PACKAGE)
BASE_FILES   := $(filter $(BASE_FILTER), $(BASE_ORDER))

SOURCE_FILES := $(foreach f,$(BASE_FILES),				\
		$(SOURCE_DIR)/$(f).rst)		 			\
		$(SOURCE_DIR)/conf.py

PO_FILES     := $(foreach l,$(filter-out en,$(LANGS)),			\
		$(foreach f,$(BASE_FILES),				\
		$(SOURCE_DIR)/$(LOCALE_DIR)/$(l)/LC_MESSAGES/$(f).po))

# General build targets.  These are the ones a human may build from the
# command line, or that are used by the Debian build system.
#
# Checks for PO files are skipped since $(SPHINX) takes care of them.
#

all: $(FORMATS)

# A list of plain text files for all $(LANGS)
TEXT_FILES   := $(foreach l,$(LANGS),					\
		$(BUILD_DIR)/$(l)/text/$(PACKAGE).txt)

text: $(TEXT_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/text/$(PACKAGE).txt: $(SOURCE_FILES)
	rm -f $@
	$(SPHINX) -b text -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
	# Make $(PACKAGE).txt
	cp $(@D)/index.txt $@
	set -e;								\
	    for f in $(BASE_FILES); do					\
		printf "\n\n\n" >>$@;					\
		cat $(@D)/"$$f".txt >>$@;				\
	    done

# A list of PDF files for all valid languages
PDF_FILES := $(foreach l,$(filter-out $(LANGS_NOPDF),$(LANGS)),		\
		$(BUILD_DIR)/$(l)/pdf/$(PACKAGE).pdf)
pdf: $(PDF_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/pdf/$(PACKAGE).pdf: $(SOURCE_FILES)
	$(SPHINX) -b latex -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
	$(MAKE) -C $(@D)

# A list of place-holder PDF files for all non-valid languages
NOPDF_FILES  := $(foreach l,$(LANGS_NOPDF),				\
		$(BUILD_DIR)/$(l)/nopdf/$(PACKAGE).pdf)
nopdf: $(NOPDF_FILES)

# Build nopdf place holder PDF files with latexmk
$(BUILD_DIR)/%/nopdf/$(PACKAGE).pdf: nopdf.tex
	mkdir -p $(@D)
	sed -e "s/@lang@/$*/g" nopdf.tex >$(@D)/nopdf.tex
	set -e; cd $(@D); latexmk -pdf -dvi- -ps- $<
	mv $(@D)/nopdf.pdf $(@)

# A list of epub files for all $(LANGS)
EPUB_FILES   := $(foreach l,$(LANGS),					\
		$(BUILD_DIR)/$(l)/epub/$(PACKAGE).epub)
epub: $(EPUB_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/epub/$(PACKAGE).epub: $(SOURCE_FILES)
	$(SPHINX) -b epub -c epub.conf -D html_theme=nature -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)

# A list of info files for all $(LANGS)
# Please note, translated info files are installed as $(PACKAGE)-$(l).info:
INFO_FILES   := $(foreach l,$(filter-out en,$(LANGS)),			\
		$(BUILD_DIR)/info/$(PACKAGE)-$(l).info)			\
		$(BUILD_DIR)/info/$(PACKAGE).info

info: $(INFO_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/info/$(PACKAGE).info: $(SOURCE_FILES)
	$(SPHINX) -b texinfo -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
	$(MAKE) -C $(@D)

$(BUILD_DIR)/info/$(PACKAGE).info: $(BUILD_DIR)/en/info/$(PACKAGE).info
	mkdir -p $(@D)
	cp $< $@

$(BUILD_DIR)/info/$(PACKAGE)-%.info: $(BUILD_DIR)/%/info/$(PACKAGE).info
	mkdir -p $(@D)
	cp $< $@

# A list of index.html files of multi-file HTML for all $(LANGS)
HTMLI_FILES  := $(foreach l,$(LANGS),					\
		$(BUILD_DIR)/$(l)/html/index.html)
html: $(HTMLI_FILES)

# Somehow -M doesn't work well, so use -b
$(BUILD_DIR)/%/html/index.html: $(SOURCE_FILES)
	$(SPHINX) -b html -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)

# A list of all multi-file HTML files for all $(LANGS)
HTMLM_FILES  := $(foreach l,$(LANGS),					\
		$(foreach f,$(BASE_FILES),				\
		$(BUILD_DIR)/$(l)/html/$(f).html))


# A list of multi-file HTML index.html files for all $(LANGS)
HTMLS_FILES  := $(foreach l,$(LANGS),					\
		$(BUILD_DIR)/$(l)/singlehtml/$(PACKAGE).html)
singlehtml: $(HTMLS_FILES)

# Single HTML doesn't build its own genindex.html nor search.html
# I keep this code inspired by Debian Policy as a place holder
$(BUILD_DIR)/%/singlehtml/$(PACKAGE).html: $(SOURCE_FILES)
	$(SPHINX) -b singlehtml -D language=$* -d $(BUILD_DIR)/$* $(SOURCE_DIR) $(@D)
	mv $(@D)/index.html $(@D)/$(PACKAGE).html
	rm -rf $(@D)/.doctrees
	perl -pli -e 's,href="index\.html#,href="#,g' $@
#	perl -pli -e 's,(genindex|search)\.html,$(PACKAGE).html/$$1.html,' $@

#
# Update all PO files for all languages
#
# In the following, export UTF-8 locale variables to avoid gettext errors.
# Don't simply export at the top of this Makefile to avoid affecting
# the generated localized .js files.
#
# Somehow -M doesn't work well, so use -b
update-po: $(SOURCE_FILES)
	# Let's keep POT files next to PO files
	$(SPHINX) -b gettext -d $(BUILD_DIR)/en $(SOURCE_DIR) $(SOURCE_DIR)/$(LOCALE_DIR)
	@set -ex; for l in $(filter-out en,$(LANGS)); do		\
	    LC_ALL=C.UTF-8 LANG=C.UTF-8 $(SPHINXINTL) update		\
		-d $(SOURCE_DIR)/$(LOCALE_DIR)				\
		-p $(SOURCE_DIR)/$(LOCALE_DIR) -l $$l ;			\
	done
	@echo "Please use 'Update all .po files for changed strings in the English original.' as commit message when committing this to GIT."

# Show translation status
status:
	for l in $(filter-out en,$(LANGS)); do		\
		if [ -d $(SOURCE_DIR)/locales/$$l/LC_MESSAGES ] ; then	\
			echo -n "Stats for $$l: " ;			\
			msgcat --use-first $(SOURCE_DIR)/locales/$$l/LC_MESSAGES/*.po | msgfmt --statistics - 2>&1 ; \
		fi ;							\
	done

# Clean source tree
clean distclean:
	rm -rf $(BUILD_DIR)
	rm -f $(SOURCE_DIR)/$(LOCALE_DIR)/*.pot
	rm -f $(SOURCE_DIR)/$(LOCALE_DIR)/*/LC_MESSAGES/*.mo

install: all
	# Install onto DESTDIR='$(DESTDIR)' for en: text pdf nopdf epub html
	mkdir -p $(DESTDIR)$(datadir)
	[ -e $(BUILD_DIR)/en/text/$(PACKAGE).txt ] &&			\
		cp $(BUILD_DIR)/en/text/$(PACKAGE).txt $(DESTDIR)$(datadir) && \
		gzip -f -9  $(DESTDIR)$(datadir)/$(PACKAGE).txt || true
	[ -e $(BUILD_DIR)/en/pdf/$(PACKAGE).pdf ] &&			\
		cp $(BUILD_DIR)/en/pdf/$(PACKAGE).pdf $(DESTDIR)$(datadir) || true
	[ -e $(BUILD_DIR)/en/nopdf/$(PACKAGE).pdf ] &&			\
		cp $(BUILD_DIR)/en/nopdf/$(PACKAGE).pdf $(DESTDIR)$(datadir) || true
	[ -e $(BUILD_DIR)/en/epub/$(PACKAGE).epub ] &&			\
		cp $(BUILD_DIR)/en/epub/$(PACKAGE).epub $(DESTDIR)$(datadir) || true
	[ -d $(BUILD_DIR)/en/html ] &&					\
		cp -dfR $(BUILD_DIR)/en/html/* $(DESTDIR)$(datadir) || true
	# Install onto DESTDIR='$(DESTDIR)' for non-en: text pdf nopdf epub html
	@set -ex; for l in $(filter-out en,$(LANGS)); do		\
	mkdir -p $(DESTDIR)$(datadir)/$$l ;				\
	[ -e $(BUILD_DIR)/$$l/text/$(PACKAGE).txt ] &&			\
		cp $(BUILD_DIR)/$$l/text/$(PACKAGE).txt $(DESTDIR)$(datadir)/$$l && \
		gzip -f -9 $(DESTDIR)$(datadir)/$$l/$(PACKAGE).txt || true ; \
	[ -e $(BUILD_DIR)/$$l/pdf/$(PACKAGE).pdf ] &&			\
		cp $(BUILD_DIR)/$$l/pdf/$(PACKAGE).pdf $(DESTDIR)$(datadir)/$$l || true ;	\
	[ -e $(BUILD_DIR)/$$l/nopdf/$(PACKAGE).pdf ] &&			\
		cp $(BUILD_DIR)/$$l/nopdf/$(PACKAGE).pdf $(DESTDIR)$(datadir)/$$l || true ;	\
	[ -e $(BUILD_DIR)/$$l/epub/$(PACKAGE).epub ] &&			\
		cp $(BUILD_DIR)/$$l/epub/$(PACKAGE).epub $(DESTDIR)$(datadir)/$$l || true ;	\
	[ -d $(BUILD_DIR)/$$l/html ] &&					\
		cp -dfR $(BUILD_DIR)/$$l/html/* $(DESTDIR)$(datadir)/$$l || true ; \
	done
	# For info
	mkdir -p $(DESTDIR)$(infodir)
	@set -ex; for f in $(INFO_FILES); do				\
	[ -e $$f ] && cp -f $$f $(DESTDIR)$(infodir) || true ;		\
	done
	# singlehtml files
	cp $(BUILD_DIR)/en/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)
	@set -ex; for l in $(filter-out en,$(LANGS)); do		\
	cp $(BUILD_DIR)/$$l/singlehtml/$(PACKAGE).html $(DESTDIR)$(datadir)/$$l ;	\
	done
	# fixup genindex
	find $(DESTDIR)$(datadir) -name genindex.html -delete
	find $(DESTDIR)$(datadir) -name '*.html' -exec sed -i 's#genindex.html#index.html#' "{}" \;

.PHONY: all
.PHONY: FORCE_MAKE
.PHONY: text pdf nopdf epub info html htmls
.PHONY: clean distclean update-po
.PHONY: install

#
# GNU make configuration.
#

# If a rule bombs out, delete the target.
#.DELETE_ON_ERROR:

# No default suffixes work here, don't waste time on them.
.SUFFIXES:

=== debian/changelog ===
developers-reference (13.11) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * tools.rst: Do not claim this manual is written in DocBook XML.

  [ Dorle Osterode ]
  * (de) tools.po: Update translation.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 15 Sep 2024 14:52:12 +0200

## developers-reference 13.12

=== debian/changelog ===
developers-reference (13.12) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * resources.rst: highlight in Salsa section that it also includes CI.
  * tools.rst: Mention debmake-doc (Guide for Debian Maintainers).

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Wed, 16 Oct 2024 13:34:18 +0200

## developers-reference 13.13

=== debian/changelog ===
developers-reference (13.13) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * tools.rst: mention the new tool debputy.

  [ Holger Levsen ]
  * best-pkging-practices.rst: link to Debian Rust Team Book.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Fri, 25 Oct 2024 16:43:39 +0200

## developers-reference 13.14

=== debian/changelog ===
developers-reference (13.14) unstable; urgency=medium

  [ Paul Gevers ]
  * pkgs.rst: add note on how to mark an architecture unsupported and how
    to define supported architectures based on endianess and similar.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Wed, 30 Oct 2024 16:11:46 +0100

## developers-reference 13.15

=== debian/changelog ===
developers-reference (13.15) unstable; urgency=medium

  [ Dorle Osterode ]
  * new-maintainers.rst: Update reference to OpenPGP RFC 9580, making RFC 4880
    obsolete.
  * Updated german translations: best-pkging-practices.po, pkgs.po,
    resources.po and tools.po.
  * Small fixes to german translations: developer-duties.po and scope.po.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Nov 2024 14:06:44 +0100

## developers-reference 13.16

=== debian/changelog ===
developers-reference (13.16) unstable; urgency=medium

  [ Bjarni Ingi Gislason ]
  * developers-reference.1: patch for editorial changes. Closes: #1089856.

  [ Dorle Osterode ]
  * (de) developer-duties.po: small fixes.

  [ Holger Levsen ]
  * d/copyright and index.rst: bump my copyright years.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jan 2025 18:52:48 +0100

## developers-reference 13.17

=== debian/changelog ===
developers-reference (13.17) unstable; urgency=medium

  [ Andreas Tille ]
  * pkgs.rst: fix typo.

  [ Dorle Osterode ]
  * Update German translations:
    - index.po
    - pkgs.po

  [ Gabriel Francisco ]
  * Makefile: assign values to variables immediately.

  [ Holger Levsen ]
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 03 Mar 2025 19:43:48 +0100

## developers-reference 13.18

=== debian/changelog ===
developers-reference (13.18) unstable; urgency=medium

  [ Holger Wansing ]
  * Fix CSS (hover colors in tables). Closes: #1093117.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Apr 2025 10:01:37 +0200

## developers-reference 13.19

=== debian/changelog ===
developers-reference (13.19) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Add git-buildpackage commands everyone should be aware of.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * Add debian/salsa-ci.yml to configure+use that pipeline.

 -- Holger Levsen <holger@debian.org>  Fri, 16 May 2025 14:56:04 +0200

## developers-reference 13.20

=== Makefile ===
--- 
+++ 
@@ -7,24 +7,23 @@
 # Basic package information
 ifneq ("$(wildcard debian/changelog)","")
 # Patch-applied Debian source package source tree
-PACKAGE   ?= $(shell dpkg-parsechangelog -SSource)
-TIMESTAMP ?= $(shell dpkg-parsechangelog -STimestamp)
-DATE      ?= $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
-VERSION   ?= $(shell dpkg-parsechangelog -SVersion)
+PACKAGE   := $(shell dpkg-parsechangelog -SSource)
+TIMESTAMP := $(shell dpkg-parsechangelog -STimestamp)
+DATE      := $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
+VERSION   := $(shell dpkg-parsechangelog -SVersion)
 else ifneq ("$(wildcard .git)","")
 # Checked-out git repository
-PACKAGE   ?= $(basename $(notdir $(shell git config --get remote.origin.url)))
-TIMESTAMP ?= $(shell git show -s --format=%ct HEAD)
-DATE      ?= $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
-VERSION   ?= $(shell git describe --tags)
+PACKAGE   := $(basename $(notdir $(shell git config --get remote.origin.url)))
+TIMESTAMP := $(shell git show -s --format=%ct HEAD)
+DATE      := $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
 # Adjust version as needed: debian/% --> %
-VERSION   := $(patsubst debian/%, %, $(VERSION))
+VERSION   := $(patsubst debian/%, %, $(shell git describe --tags))
 else
 # Un-tared upstream tarball
-PACKAGE   ?= $(notdir $(CURDIR))
-TIMESTAMP ?= $(shell date +%s)
-DATE      ?= $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
-VERSION   ?= 0.0~$(subst -,.,$(DATE))
+PACKAGE   := $(notdir $(CURDIR))
+TIMESTAMP := $(shell date +%s)
+DATE      := $(shell date -u -d '@$(TIMESTAMP)' +'%Y-%m-%d')
+VERSION   := 0.0~$(subst -,.,$(DATE))
 endif
 
 export PACKAGE TIMESTAMP DATE VERSION

=== debian/changelog ===
developers-reference (13.20) unstable; urgency=medium

  [ Andreas Tille ]
  * pkgs:
    - Implement the suggestions by Lucas Nussbaum from
      https://lists.debian.org/debian-devel/2025/05/msg00142.html
    - Specify more clearly what non-controversal changes are.
    - Increase NMU time span.

  [ Holger Levsen ]
  * pkgs: prepare for when trixie is stable.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 05 Jun 2025 16:58:52 +0200

=== debian/control ===
Source: developers-reference
Section: doc
Priority: optional
Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>,
 Holger Levsen <holger@debian.org>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Build-Depends-Indep: latexmk,
 python3-distro-info,
 python3-sphinx,
 python3-stemmer,
 python3-sphinx-rtd-theme,
 tex-gyre,
 texinfo,
 texlive-fonts-recommended,
 texlive-lang-cyrillic,
 texlive-lang-french,
 texlive-lang-german,
 texlive-lang-italian,
 texlive-lang-japanese,
 texlive-latex-extra,
 texlive-latex-recommended,
Build-Depends: debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/debian/developers-reference.git
Vcs-Browser: https://salsa.debian.org/debian/developers-reference
Homepage: https://www.debian.org/doc/devel-manuals#devref

Package: developers-reference
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debian-policy,
 sensible-utils,
 ${sphinxdoc:Depends},
Suggests: doc-base, firefox-esr | www-browser
Description: guidelines and information for Debian developers
 This package contains the Debian Developer's Reference, a set of
 guidelines and best practices which has been established by and for
 the community of Debian developers and maintainers. If you are not
 maintaining Debian packages, you probably do not need this package.
 .
 Table of Contents:
 .
 ${TOC:en}
 .
 This package contains the English version of the Developer's
 Reference.  The French, German, Italian, Russian and Japanese translations are
 available in developers-reference-fr, developers-reference-de,
 developers-reference-it, developers-reference-ru and developers-reference-ja.

Package: developers-reference-de
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debian-policy,
 developers-reference,
 ${sphinxdoc:Depends},
Suggests: doc-base
Description: guidelines and information for Debian developers, in German
 This package contains the German translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers and maintainers. If you are not maintaining Debian
 packages, you probably do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-fr
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debian-policy,
 developers-reference,
 ${sphinxdoc:Depends},
Suggests: doc-base
Description: guidelines and information for Debian developers, in French
 This package contains the French translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers and maintainers. If you are not maintaining Debian
 packages, you probably do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-ja
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debian-policy,
 developers-reference,
 ${sphinxdoc:Depends},
Suggests: doc-base
Description: guidelines and information for Debian developers, in Japanese
 This package contains the Japanese translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers and maintainers. If you are not maintaining Debian
 packages, you probably do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-ru
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debian-policy,
 developers-reference,
 ${sphinxdoc:Depends},
Suggests: doc-base
Description: guidelines and information for Debian developers, in Russian
 This package contains the Russian translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers and maintainers. If you are not maintaining Debian
 packages, you probably do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

Package: developers-reference-it
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debian-policy,
 developers-reference,
 ${sphinxdoc:Depends},
Suggests: doc-base
Description: guidelines and information for Debian developers, in Italian
 This package contains the Italian translation of Debian Developer's
 Reference (package: developers-reference), a set of guidelines and
 best practices which has been established by and for the community of
 Debian developers and maintainers. If you are not maintaining Debian
 packages, you probably do not need this package.
 .
 Table of Contents (in English):
 .
 ${TOC:en}

=== debian/rules ===
#!/usr/bin/make -f

LANGS		:= en $(shell dh_listpackages| sed -n -e 's/developers-reference-//p')

%:
	dh $@ --with sphinxdoc

override_dh_auto_build:
	$(MAKE) LANGS="$(LANGS)"

override_dh_compress:
	dh_compress -X.pdf -X.epub

override_dh_installdeb:
	debian/tocsubstvars
	dh_installdeb

override_dh_sphinxdoc:
	dh_sphinxdoc -pdevelopers-reference usr/share/developers-reference
	set -ex; for lang in $(filter-out en,$(LANGS)); do \
		dh_sphinxdoc -pdevelopers-reference-$$lang usr/share/developers-reference/$$lang; \
	done

## developers-reference 14.1

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,8 @@
 LANGS_NOPDF = it ru
 
 # All output formats
-FORMATS     ?= text pdf nopdf epub info html singlehtml
+#FORMATS     ?= text pdf nopdf epub info html singlehtml
+FORMATS     ?= text epub info html singlehtml
 
 # Conversion programs to use.  Export these so that they're visible to
 # submakes.

=== debian/changelog ===
developers-reference (14.1) unstable; urgency=medium

  [ Holger Levsen ]
  * Start 14.x series, hello forky!
  * Temporarily disable pdf manual build to workaround #1114478.
  * Drop Rules-Requires-Root: no (now the default).
  * Move python3-sphinx from to B-D-I to B-D to fix clean target. Thanks to
    Rene Engelhard.
  * Update all .po files for changed strings in the English original.

  [ Otto Kekäläinen ]
  * Add new section "Best practices for debian/patches".

  [ наб ]
  * Mention the ~debNuM format in [old]stable uploads.

  [ Nicolas Schodet ]
  * best-pkging-practices: fix link to the library packaging guide.
    Closes: #1094412

  [ Dorle Osterode ]
  * (de) pkgs.po: Update translation.

  [ Colin Watson ]
  * Fix typos in architecture-properties advice.

 -- Holger Levsen <holger@debian.org>  Sun, 02 Nov 2025 12:14:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,8 @@
 Uploaders: Hideki Yamane <henrich@debian.org>,
  Holger Levsen <holger@debian.org>,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Build-Depends-Indep: latexmk,
  python3-distro-info,
- python3-sphinx,
  python3-stemmer,
  python3-sphinx-rtd-theme,
  tex-gyre,
@@ -21,7 +19,8 @@
  texlive-lang-japanese,
  texlive-latex-extra,
  texlive-latex-recommended,
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13),
+ python3-sphinx,
 Vcs-Git: https://salsa.debian.org/debian/developers-reference.git
 Vcs-Browser: https://salsa.debian.org/debian/developers-reference
 Homepage: https://www.debian.org/doc/devel-manuals#devref

=== debian/tests/control ===
Tests: validate-xmls-lint validate-html-lint
Depends: libxml2-utils
Restrictions: build-needed

## developers-reference 14.2

=== debian/changelog ===
developers-reference (14.2) unstable; urgency=medium

  [ Holger Levsen ]
  * Revert "Temporarily Disable pdf manual build to workaround #1114478" as
    the bug has been fixed in sphinx thanks to Dmitry Shachnev.

  [ Adrian Bunk ]
  * Fix encoding issues in the Russian translation, thanks to Dmitry Shachnev.
  * Enable pdf manual build also for Italian and Russian.

 -- Holger Levsen <holger@debian.org>  Sun, 23 Nov 2025 13:41:33 +0100

## developers-reference 14.3

=== debian/changelog ===
developers-reference (14.3) unstable; urgency=medium

  [ Dorle Osterode ]
  * (de) pkgs.po: Update translation.
  * (de) best-pkging-practices.po: Update translation.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * d/copyright and index.rst: bump my copyright years.
  * Bump standards version to 4.7.3, optional priority is the default now.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Jan 2026 20:33:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: developers-reference
 Section: doc
-Priority: optional
 Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
 Uploaders: Hideki Yamane <henrich@debian.org>,
  Holger Levsen <holger@debian.org>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends-Indep: latexmk,
  python3-distro-info,
  python3-stemmer,

## developers-reference 14.4

=== Makefile ===
--- 
+++ 
@@ -40,11 +40,10 @@
 # All languages
 LANGS       ?= en $(notdir $(wildcard $(SOURCE_DIR)/$(LOCALE_DIR)/*))
 # All languages without PDF building
-LANGS_NOPDF = it ru
+LANGS_NOPDF =
 
 # All output formats
-#FORMATS     ?= text pdf nopdf epub info html singlehtml
-FORMATS     ?= text epub info html singlehtml
+FORMATS     ?= text pdf nopdf epub info html singlehtml
 
 # Conversion programs to use.  Export these so that they're visible to
 # submakes.

=== debian/changelog ===
developers-reference (14.4) unstable; urgency=medium

  [ Sean Whitton ]
  * pkgs:
    - document tag2upload's existence. Closes: #1127616.
    - delete obsolete paragraph about migration.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 12 Feb 2026 16:39:20 +0100
